> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Status



## OpenAPI

````yaml openapi.json get /checkout/link/status
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /checkout/link/status:
    parameters: []
    get:
      tags:
        - Checkout
      summary: Link Status
      parameters:
        - name: link
          in: query
          required: false
          example: 7mflriDaw2CA3gSQ
          schema:
            type: integer
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '603'
            ETag:
              schema:
                type: string
              example: W/"25b-t94BkUY1MSL+Iu9AUjQR6ti1kL0"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Sun, 06 Oct 2024 22:11:16 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Link Status - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      checkout:
                        type: object
                        properties:
                          id:
                            type: string
                          email:
                            type: string
                            format: email
                          amount:
                            type: integer
                          status:
                            type: string
                          hasPaid:
                            type: boolean
                          channels:
                            type: array
                            items:
                              type: string
                          currency:
                            type: string
                          charges:
                            type: integer
                          reference:
                            type: string
                          payableAmount:
                            type: integer
                          subaccountShare:
                            type: integer
                          hasActiveSubaccount:
                            type: boolean
                          subaccountSettlement:
                            type: integer
                          mainAccountShare:
                            type: integer
                          mainAccountSettlement:
                            type: integer
                          createdAt:
                            type: string
                            format: date-time
                          pubKey:
                            type: string
                          securedBy:
                            type: string
                          securedLogo:
                            type: string
                            format: uri
              example:
                status: true
                message: Operation is successful
                data:
                  checkout:
                    id: 66f9db01-ab3f-45cc-b2b9-0dde3eeeeea4
                    email: john@yahoo.com
                    amount: 1000
                    status: NEW
                    hasPaid: false
                    channels:
                      - BANK
                    currency: NGN
                    charges: 12
                    reference: LONRzQgufJh4cgB1RTo1NKYOBbG3ab2Y2o0H
                    payableAmount: 1000
                    subaccountShare: 0
                    hasActiveSubaccount: false
                    subaccountSettlement: 0
                    mainAccountShare: 988
                    mainAccountSettlement: 988
                    createdAt: '2024-10-07T11:59:58.887Z'
                    pubKey: pk_test_NhN8Igb3IHFOzc5qL6hxaq65hmeUVTOO8nPxyzevaMM2hLtu
                    securedBy: Stripestack
                    securedLogo: >-
                      https://d26vslh4lbgfdh.cloudfront.net/jz83jpTytJiIeRctpQDclEpv7_monieswitch-receipt-logo.png
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````